<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<script>
    var names = ["alpha", "beta", "gamma", "delta"];
    
    let [a1, a2,a3] = names;
    console.log(" Subtask 1: giá trị của phần tử đầu tiên và phần tử thứ 2 của mảng")
    console.log(a2)
    console.log(" Subtask 2: giá trị của phần tử đầu tiên và phần tử thứ 3 của mảng")
    console.log(a3)

    let [b1, b2, ...b3] = names;
    console.log(" Subtask 3: in ra giá trị của phần tử đầu tiên và 2 phần tử cuối của mảng")
    console.log(b1);
    console.log(b3)
//------------------------------
    const marks = {
  section1: { alpha: 15, beta: 16},
  section2: { alpha: -31, beta: 19 }
};
console.log(" Subtask 4: in ra giá trị thuộc tính section1 của object ")
let {section1, section2} = marks;
console.log(section1);
console.log(" Subtask 5: in ra giá trị thuộc tính alpha của thuộc tính section1 của object ")
let {alpha} = section1;
console.log(alpha);
//-----------------------------------------
console.log(" Subtask 6: in ra giá trị thuộc tính y của object")

var mark = {x: 21, y: -34, z: 47 };
let {x,y} = mark;
console.log(y)


</script>
</html>